%define oname CharisSIL
%define fname charis

Name: fonts-ttf-%fname
Version: 4.104
Release: alt1

Summary: Charis SIL Font Package

License: GPL OFL
Group: System/Fonts/True type
Url: http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=CharisSILfont

Packager: Vitaly Lipatov <lav@altlinux.ru>

# comment due type detecting problem
#Source: http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=CharisSIL4.100.zip&filename=CharisSIL4.100.zip
Source: %oname%version.tar.bz2

BuildArch: noarch

BuildRequires: unzip rpm-build-fonts >= 0.3
PreReq: fontconfig >= 2.4.2

%description
Welcome to the Charis SIL font package. Charis is similar to Bitstream
Charter, one of the first fonts designed specifically for laser
printers. It is highly readable and holds up well in less-than-ideal
reproduction environments. It also has a full set of styles - regular,
italic, bold, bold italic - and so is more useful in general publishing
than Doulos SIL. Charis is a serif, proportionally-spaced font optimized
for readability in long printed documents.

The goal for this product was to provide a single Unicode-based font
family that would contain a comprehensive inventory of glyphs needed
for almost any Roman- or Cyrillic-based writing system, whether used
for phonetic or orthographic needs. In addition, there is provision for
other characters and symbols useful to linguists. This font makes use of
state-of-the-art font technologies to support complex typographic issues,
such as the need to position arbitrary combinations of base glyphs and
diacritics optimally.

%prep
%setup -q -n %oname

%install
%ttf_fonts_install %fname

%post
%post_fonts

%postun
%postun_fonts

%files -f %fname.files
%doc FONTLOG.txt OFL-FAQ.txt OFL.txt README.txt CharisSIL4.100FontDocumentation.pdf

%changelog
* Thu Sep 04 2008 Vitaly Lipatov <lav@altlinux.ru> 4.104-alt1
- new version
- fix URL (bug #16721)

* Wed Sep 05 2007 Vitaly Lipatov <lav@altlinux.ru> 4.100-alt2
- rebuild with new rpm-build-fonts 0.3
- add require fontconfig 2.4.2

* Sun May 13 2007 Vitaly Lipatov <lav@altlinux.ru> 4.100-alt1
- initial build for ALT Linux Sisyphus
